org.opengis.cite.ogcapifeatures10.conformance.core.landingpage

## Class LandingPage

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.core.landingpage.LandingPage

-     public class LandingPage
      extends CommonFixture

  A.2.2. Landing Page {root}/
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LandingPage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `landingPageRetrieval()` Abstract Test 3: /ats/core/root-op Test Purpose: Validate that a landing page can be retrieved from the expected location.
    `void` | `landingPageValidation()` Abstract Test 4: /ats/core/root-success Test Purpose: Validate that the landing page complies with the require structure and contents.

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LandingPage

          public LandingPage()

  - ### Method Detail

    - #### landingPageRetrieval

          public void landingPageRetrieval()

           Abstract Test 3: /ats/core/root-op
           Test Purpose: Validate that a landing page can be retrieved from the expected location.
           Requirement: /req/core/root-op

           Test Method:
            1. Issue an HTTP GET request to the URL {root}/
            2. Validate that a document was returned with a status code 200
            3. Validate the contents of the returned document using test /ats/core/root-success.

    - #### landingPageValidation

          public void landingPageValidation()

           Abstract Test 4: /ats/core/root-success
           Test Purpose: Validate that the landing page complies with the require structure and contents.
           Requirement: /req/core/root-success

           Test Method: Validate the landing page for all supported media types using the resources and tests identified in
           Schema and Tests for Landing Pages. For formats that require manual inspection, perform the following:
             a) Validate that the landing page includes a "service-desc" and/or "service-doc" link to an API Definition
             b) Validate that the landing page includes a "conformance" link to the conformance class declaration
             c) Validate that the landing page includes a "data" link to the Feature contents.

Copyright © 2021 Open Geospatial Consortium. All rights reserved.